Bug 1418172 - [abrt] system-python: strlen(): system-python killed by SIGSEGV
Summary: [abrt] system-python: strlen(): system-python killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1417870
Alias: None
Product: Fedora
Classification: Fedora
Component: libdnf
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:42ce4b38346841f156bce3ef083...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 05:38 UTC by Mustafa Muhammad
Modified: 2017-02-21 06:07 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 13:16:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (164.69 KB, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: cgroup (229 bytes, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: core_backtrace (20.63 KB, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: dso_list (10.65 KB, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: environ (3.62 KB, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: maps (49.24 KB, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: mountinfo (3.40 KB, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: open_fds (1.12 KB, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-02-01 05:38 UTC, Mustafa Muhammad
no flags Details

Description Mustafa Muhammad 2017-02-01 05:38:20 UTC
Description of problem:
I used 'dnf distrosync', some problems found so I tried to use '--allow-erasing', and it segfaulted.

Version-Release number of selected component:
system-python-3.6.0-7.fc26

Additional info:
reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        /usr/libexec/system-python /usr/bin/dnf --allowerasing distrosync
crash_function: strlen
executable:     /usr/libexec/system-python
global_pid:     2704
kernel:         4.10.0-0.rc5.git1.1.fc26.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 __regexec at regexec.c:240
 #2 parse_reldep_str at /usr/src/debug/libdnf-f9b798cadb6821f9cffd5c0331578b3f7c19d699/libdnf/hy-iutil.c:700
 #3 reldep_from_str at /usr/src/debug/libdnf-f9b798cadb6821f9cffd5c0331578b3f7c19d699/libdnf/hy-iutil.c:724
 #4 reldep_from_pystr at /usr/src/debug/libdnf-f9b798cadb6821f9cffd5c0331578b3f7c19d699/python/hawkey/iutil-py.c:324
 #5 pyseq_to_reldeplist at /usr/src/debug/libdnf-f9b798cadb6821f9cffd5c0331578b3f7c19d699/python/hawkey/iutil-py.c:246
 #6 filter at /usr/src/debug/libdnf-f9b798cadb6821f9cffd5c0331578b3f7c19d699/python/hawkey/query-py.c:261
 #7 PyCFunction_Call at /usr/src/debug/Python-3.6.0/Objects/methodobject.c:114
 #8 do_call_core at /usr/src/debug/Python-3.6.0/Python/ceval.c:5053
 #9 _PyEval_EvalFrameDefault at /usr/src/debug/Python-3.6.0/Python/ceval.c:3357

Comment 1 Mustafa Muhammad 2017-02-01 05:38:29 UTC
Created attachment 1246554 [details]
File: backtrace

Comment 2 Mustafa Muhammad 2017-02-01 05:38:30 UTC
Created attachment 1246555 [details]
File: cgroup

Comment 3 Mustafa Muhammad 2017-02-01 05:38:32 UTC
Created attachment 1246556 [details]
File: core_backtrace

Comment 4 Mustafa Muhammad 2017-02-01 05:38:34 UTC
Created attachment 1246557 [details]
File: dso_list

Comment 5 Mustafa Muhammad 2017-02-01 05:38:36 UTC
Created attachment 1246558 [details]
File: environ

Comment 6 Mustafa Muhammad 2017-02-01 05:38:38 UTC
Created attachment 1246559 [details]
File: exploitable

Comment 7 Mustafa Muhammad 2017-02-01 05:38:40 UTC
Created attachment 1246560 [details]
File: limits

Comment 8 Mustafa Muhammad 2017-02-01 05:38:42 UTC
Created attachment 1246561 [details]
File: maps

Comment 9 Mustafa Muhammad 2017-02-01 05:38:44 UTC
Created attachment 1246562 [details]
File: mountinfo

Comment 10 Mustafa Muhammad 2017-02-01 05:38:46 UTC
Created attachment 1246563 [details]
File: namespaces

Comment 11 Mustafa Muhammad 2017-02-01 05:38:47 UTC
Created attachment 1246564 [details]
File: open_fds

Comment 12 Mustafa Muhammad 2017-02-01 05:38:49 UTC
Created attachment 1246565 [details]
File: proc_pid_status

Comment 13 Mustafa Muhammad 2017-02-01 05:38:51 UTC
Created attachment 1246566 [details]
File: var_log_messages

Comment 14 Vít Ondruch 2017-02-03 12:06:07 UTC
Please note this is my libdnf version:

$ rpm -q libdnf
libdnf-0.7.1-9gec15d58.fc26.x86_64

but it was crashing with libdnf-0.7.1-2gfe5a08b.fc26.x86_64 as well ...

Comment 15 Kalev Lember 2017-02-03 12:54:00 UTC
Looks like memory corruption. Could someone who's running into this run dnf under valgrind please?

Comment 16 Vít Ondruch 2017-02-03 13:16:58 UTC

*** This bug has been marked as a duplicate of bug 1417870 ***


Note You need to log in before you can comment on or make changes to this bug.